View Issue Details

IDProjectCategoryView StatusLast Update
0022579LazarusIDEpublic2012-08-22 10:50
ReporterLudo BrandsAssigned ToMattias Gaertner 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.0RC1Product Build 
Target VersionFixed in Version 
Summary0022579: Can't rebuild 1.0RC on linux x64
DescriptionRebuilding lazarus (adding a package for example) fails with "Fatal: Can not find registersqldb used by SQLDBLaz". Checksum of lresources or propedits has changed causing recompile.

Attached the output of a fresh build with -vut.

A new lresources.ppu is created when LCLBase is built in ~/.lazarus/lib/LCLBase/units/x86_64-linux/LResources.ppu but building fcl and compiling lazarus.pp looks in ~/.lazarus/units/x86_64-linux, doesn't find anything and then picks up /usr/share/lazarus/1.0RC1/lcl/units/x86_64-linux/lresources.ppu
TagsNo tags attached.
Fixed in Revision38279
LazTarget1.0
WidgetsetGTK 2
Attached Files

Activities

Ludo Brands

2012-08-22 10:50

developer   ~0061804

Fixed in RC2

Issue History

Date Modified Username Field Change
2012-08-05 14:42 Ludo Brands New Issue
2012-08-05 14:42 Ludo Brands Widgetset => GTK 2
2012-08-08 20:19 Mattias Gaertner Status new => assigned
2012-08-08 20:19 Mattias Gaertner Assigned To => Mattias Gaertner
2012-08-14 23:06 Mattias Gaertner LazTarget => 1.0
2012-08-20 11:55 Mattias Gaertner Fixed in Revision => 38279
2012-08-20 11:55 Mattias Gaertner Status assigned => resolved
2012-08-20 11:55 Mattias Gaertner Resolution open => fixed
2012-08-22 10:50 Ludo Brands Status resolved => closed
2012-08-22 10:50 Ludo Brands Note Added: 0061804